version: '2.17'

services:
  streamlit-app:
    build:
      context: .
      dockerfile: Dockerfile
    volumes:
      - .:/ex_streamlit_fastapi 
    ports:
      - 8000:8000
  fastapi:
    build:
      context: .
      dockerfile: Dockerfile
    command: uvicorn src.main2:app --reload --host 0.0.0.0 --port 8886
    volumes:
      - .:/ex_streamlit_fastapi 
    ports:
      - 3000:8886

